%define upstream_name    Sub-Quote
%define upstream_version 2.006008

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Efficient generation of subroutines via string eval
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Sub/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More) >= 0.940.0
BuildArch:  noarch

%description
These subroutines provide the user with a convenient way to defer creation
of subroutines and methods until they are first called.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%__make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Feb 03 2023 tv <tv> 2.6.8-1.mga9
+ Revision: 1937883
- update to 2.006008

* Mon Mar 21 2022 umeabot <umeabot> 2.6.6-3.mga9
+ Revision: 1811924
- Mageia 9 Mass Rebuild

* Sun Feb 16 2020 umeabot <umeabot> 2.6.6-2.mga8
+ Revision: 1534285
- Mageia 8 Mass Rebuild

* Wed Oct 02 2019 tv <tv> 2.6.6-1.mga8
+ Revision: 1448914
- update to 2.006006

* Fri Mar 15 2019 tv <tv> 2.6.3-1.mga7
+ Revision: 1377513
- update to 2.006003

* Thu Sep 20 2018 umeabot <umeabot> 2.5.1-2.mga7
+ Revision: 1286214
- Mageia 7 Mass Rebuild

* Mon Apr 23 2018 shlomif <shlomif> 2.5.1-1.mga7
+ Revision: 1221591
- update to 2.005001

* Sun Feb 25 2018 shlomif <shlomif> 2.5.0-1.mga7
+ Revision: 1205009
- update to 2.005000

* Fri Jul 28 2017 shlomif <shlomif> 2.4.0-1.mga7
+ Revision: 1131717
- spec modernize
- import from cpan2dist

